// SJoystick.h: Schnittstelle fr die Klasse SJoystick.
//
//////////////////////////////////////////////////////////////////////

#ifndef S_JOYSTICK_H
#define S_JOYSTICK_H

#if _MSC_VER > 1000
#pragma once
#endif 

#include <windows.h>
#include <mmsystem.h>

class SJoystick  
{
public:
	SJoystick();
	virtual ~SJoystick();
	
	unsigned int getZPosition();
	unsigned int getYPosition();
	unsigned int getXPosition();
	unsigned int getCurrentJoystick();
	
	bool isButtonPressed(unsigned int whichButton);
	bool isJoystickOK();
	
	void setCurrentJoystick(unsigned int joystick);

protected:
	bool updateJoystick();
	
	JOYINFO joystickInfo;
	unsigned int joystickID;
};

#endif 